function R = random_route_saturated(m, n, density)

seed  = density;
l_No = m;
N = n;
flag = 1;
while flag
%         R = zeros(l_No,N);
% % % %         Assuption C4 for saturation
        R = [eye(l_No,l_No), zeros(l_No, N-l_No)];
        
        seed = .7;
    for i=1:l_No,
% % % %         for j=N - l_No+1: N
        for j=l_No+1: N
            if rand <= seed,
                R(i,j)=1;
            end;
        end;
    end;
% % if R R^T is ful
    if rank(R)== min(l_No,N),
    flag=0;
    end;

end;

end